module EspnFflApi
  class Owner
    attr_reader :first_name, :last_name, :username, :espn_uuid

    def initialize(first_name:, last_name:, username:, espn_uuid:)
      @first_name = first_name
      @last_name = last_name
      @username = username
      @espn_uuid = espn_uuid
    end

    def self.build(hash)
      new(
        first_name: hash["firstName"],
        last_name:  hash["lastName"],
        username:   hash["displayName"],
        espn_uuid:  hash["id"],
      )
    end
  end
end
